%define		pkgdate	08232008
%define		pkgver	4.5
%define		webver	1.4.3

%if 0%{?suse_version}
%define		_webroot	/srv/www
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define		_webroot	/var/www
%endif

Name:		tac_plus
Version: 	%{pkgver}b4
Release:	5.4
License: 	GPL
Group: 		System
Summary: 	tac_plus daemon
URL: 		http://www.networkforums.net/
Source0: 	%{name}-%{version}-%{pkgdate}.tgz
Source1:	tacacs_webui_v%{webver}.tar.gz
Source2:        %{name}.init.suse
Source3:        %{name}.sysconfig
Patch0:		tac_plus_remove_secureid.patch
Patch1:		tac_plus-gcc43.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ mysql-devel
%if 0%{?suse_version}
BuildRequires:	tcpd-devel libevent
%endif
%if 0%{?suse_version} >= 1110
BuildRequires:	libevent-devel
%endif

%if 0%{?fedora_version} || 0%{?centos_version}
BuildRequires:	tcp_wrappers libevent-devel
%endif

Requires:	mysql

%description
Terminal access controller access control system (TACACS) is a 
remote authentication protocol that is used to communicate with an 
authentication server commonly used in UNIX networks. 
TACACS allows a remote access server to communicate with an 
authentication server in order to determine if the user has access to the network.


%package webui
Group:		System
Summary:	tac_plus webui
Requires:	php tac_plus
%description webui
This is a webinterface for the tac_plus daemon

%prep
%setup -q -n %{name}-%{pkgver}
%patch0
%patch1

%build
%__make

%install
%__install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}
%__install -m 755 -d %{buildroot}/%{_webroot}/htdocs/tacacs/
%__tar -xzf %{S:1} -C %{buildroot}/%{_webroot}/htdocs/tacacs/
%if 0%{?suse_version}
%__install    -D -m 0755 %{S:2}          %{buildroot}%{_sysconfdir}/init.d/tac_plus
%__install    -D -m 0755 %{S:3}          %{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%endif

%post
%if 0%{?suse_version}
%{fillup_and_insserv tac_plus}
%else
/sbin/chkconfig --add tac_plus
%endif

%postun
%if 0%{?suse_version}
%restart_on_update tac_plus
%{insserv_cleanup}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal tac_plus
%else
if [ $1 = 0 ]; then
   %{_sysconfdir}/init.d/tac_plus stop
   /sbin/chkconfig --del tac_plus
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc %{name}.sql
%if 0%{?suse_version}
%{_sysconfdir}/init.d/tac_plus
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%endif

%files webui
%defattr(-,root,root,-)
%{_webroot}/htdocs/tacacs

%changelog
* Sun Jun 08 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package
